<?php
require_once(WCF_DIR.'lib/page/AbstractPage.class.php');

/**
 * Shows the legal notice page.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.data.page.legalNotice
 * @subpackage	page
 * @category 	Community Framework (commercial)
 */
class LegalNoticePage extends AbstractPage {
	public $templateName = 'legalNotice';
	
	/**
	 * @see Page::readParameters()
	 */
	public function readParameters() {
		parent::readParameters();
		
		if (!MODULE_LEGAL_NOTICE) {
			throw new IllegalLinkException();
		}
		if (LEGAL_NOTICE_USE_URL == 1) {
			HeaderUtil::redirect(LEGAL_NOTICE_URL, false);
			exit;
		}
	}
	
	/**
	 * @see Page::assignVariables()
	 */
	public function assignVariables() {
		parent::assignVariables();
		
		WCF::getTPL()->assign('encodedEmailAddress', StringUtil::encodeAllChars(LEGAL_NOTICE_EMAIL_ADDRESS));
	}
	
	/**
	 * @see Page::show()
	 */
	public function show() {
		// set active header menu item
		require_once(WCF_DIR.'lib/page/util/menu/PageMenu.class.php');
		PageMenu::setActiveMenuItem('wcf.header.menu.legalNotice');
		
		parent::show();
	}
}
?>